package	jp.co.sds_corp.ratemixer.fx.source;

import java.math.BigDecimal;

import jp.co.sds_corp.ratemixer.fx.FxRate;
import jp.co.sds_corp.util.common.CmnString;

/**
* Forwardレートを取得します。
*/
public class ForwardFeed extends RateFeed
{
	private static final long serialVersionUID = 1L;

	/**
	* 取得した文字列を解析して、レート情報を返します。
	* @param	rate	レート情報
	* @param	res		取得した文字列
	* @param	nPos	レート位置
	* @return	取得したレートを格納したレート情報
	*/
	protected FxRate parseRate( FxRate rate, String res, int nPos )
		throws Exception
	{
		String[] arr = CmnString.getStringToken( res, "\t" );

		String vdat = arr[nPos*3].trim();
		String bid = arr[nPos*3+1].trim();
		String ask = arr[nPos*2+2].trim();
		BigDecimal bBid = new BigDecimal( bid );
		BigDecimal bAsk = new BigDecimal( ask );

		FxRate ret = new FxRate( (FxRate )rate );
		ret.setBid( bBid );
		ret.setAsk( bAsk );
		ret.setValueDate( vdat );
		return ret;
	}
}
